Package org.linphone.core

# Enum Class LogCollectionState

java.lang.Object
java.lang.Enum<LogCollectionState>
org.linphone.core.LogCollectionState

All Implemented Interfaces:
  `Serializable`, `Comparable<LogCollectionState>`, `Constable`

public enum LogCollectionState extends Enum<LogCollectionState>
Whether or not to keep a file with the logs.

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`Disabled`
`Enabled`
`EnabledWithoutPreviousLogHandler`

## Field Summary

Fields
Modifier and Type
Field
Description
`protected final int`
`mValue`

## Method Summary

Modifier and Type
Method
Description
`static LogCollectionState`
`fromInt(int value)`
`protected static LogCollectionState[]`
`fromIntArray(int[] values)`
`int`
`toInt()`
`protected static int[]`
`toIntArray(LogCollectionState[] values)`
`static LogCollectionState`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static LogCollectionState[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### Disabled

public static final LogCollectionState Disabled

### Enabled

public static final LogCollectionState Enabled

### EnabledWithoutPreviousLogHandler

public static final LogCollectionState EnabledWithoutPreviousLogHandler

## Field Details

### mValue

protected final int mValue

## Method Details

### values

public static LogCollectionState[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static LogCollectionState valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null

### fromInt

public static LogCollectionState fromInt(int value) throws RuntimeException

Throws:
  `RuntimeException`

### fromIntArray

protected static LogCollectionState[] fromIntArray(int[] values) throws RuntimeException

Throws:
  `RuntimeException`

### toIntArray

protected static int[] toIntArray(LogCollectionState[] values) throws RuntimeException

Throws:
  `RuntimeException`

### toInt

public int toInt()